## com.lowagie.text.rtf.list
Class RtfListTable

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.list.RtfListTable

All Implemented Interfaces:
  RtfBasicElement, RtfExtendedElement

    public class RtfListTable

extends RtfElement
implements RtfExtendedElement

The RtfListTable manages all RtfLists in one RtfDocument. It also generates the list and list override tables in the document header.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private static byte[]` `LIST` Constant for the list
`private static byte[]` `LIST_HYBRID` Constant for the hybrid list
`private static byte[]` `LIST_ID` Constant for the list id
`protected static byte[]` `LIST_NUMBER` Constant for the list number
`private static byte[]` `LIST_OVERRIDE` Constant for the list override
`private static byte[]` `LIST_OVERRIDE_COUNT` Constant for the list override count
`private static byte[]` `LIST_OVERRIDE_TABLE` Constant for the list override table
`private static byte[]` `LIST_TABLE` Constant for the list table
`private static byte[]` `LIST_TEMPLATE_ID` Constant for the list template id
`private java.util.ArrayList` `lists` The RtfLists managed by this RtfListTable

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfListTable(RtfDocument doc)` Constructs a RtfListTable for a RtfDocument

Method Summary
`void` `freeListNumber(RtfList list)` Remove a RtfList from the list of RtfLists
`int` `getListNumber(RtfList list)` Gets the id of the specified RtfList.
`byte[]` `writeDefinition()` Writes the list and list override tables.

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument, write`

Field Detail

### LIST_NUMBER

    protected static final byte[] LIST_NUMBER

  Constant for the list number

### LIST_TABLE

    private static final byte[] LIST_TABLE

  Constant for the list table

### LIST

    private static final byte[] LIST

  Constant for the list

### LIST_TEMPLATE_ID

    private static final byte[] LIST_TEMPLATE_ID

  Constant for the list template id

### LIST_HYBRID

    private static final byte[] LIST_HYBRID

  Constant for the hybrid list

### LIST_ID

    private static final byte[] LIST_ID

  Constant for the list id

### LIST_OVERRIDE_TABLE

    private static final byte[] LIST_OVERRIDE_TABLE

  Constant for the list override table

### LIST_OVERRIDE

    private static final byte[] LIST_OVERRIDE

  Constant for the list override

### LIST_OVERRIDE_COUNT

    private static final byte[] LIST_OVERRIDE_COUNT

  Constant for the list override count

### lists

    private java.util.ArrayList lists

  The RtfLists managed by this RtfListTable

Constructor Detail

### RtfListTable

    public RtfListTable(RtfDocument doc)

  Constructs a RtfListTable for a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfListTable belongs to

Method Detail

### writeDefinition

    public byte[] writeDefinition()

  Writes the list and list override tables.

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Returns:
    A byte array with the list and list override tables.

### getListNumber

    public int getListNumber(RtfList list)

  Gets the id of the specified RtfList. If the RtfList is not yet in the list of RtfLists, then it is added.

  Parameters:
    `list` - The RtfList for which to get the id.
  Returns:
    The id of the RtfList.

### freeListNumber

    public void freeListNumber(RtfList list)

  Remove a RtfList from the list of RtfLists

  Parameters:
    `list` - The RtfList to remove.